Subject: Re: [PATCH v2 0/2] Using the right locales on GNU/Hurd

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Fri, 01 Dec 2023 20:49:44 +0100

Ludovic Courtès writes:

Hi!

> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>> $ make as-derivation
>> Building Guix in Guix...
>> warning: 'nix-server-socket' is deprecated, use 'store-connection-socket' instead
>> warning: 'nix-server-major-version' is deprecated, use 'store-connection-major-version' instead
>> warning: 'nix-server-minor-version' is deprecated, use 'store-connection-minor-version' instead
>> Computing Guix derivation for 'i586-gnu'... |process 7189 acquired build slot '/var/guix/offload/kluit.dezyne.org:10022/0'
>> \normalized load on machine 'kluit.dezyne.org' is 0.91
>> waiting for locks or build slots...
>> |process 7189 acquired build slot '/var/guix/offload/kluit.dezyne.org:10022/0'
>> \normalized load on machine 'kluit.dezyne.org' is 0.64
>> \guix offload: sending 0 store items (0 MiB) to 'kluit.dezyne.org'...
>> offloading '/gnu/store/3hc9fardc4pwmcjh6x5x6mi1yicvy861-glibc-utf8-locales-2.37.drv' to 'kluit.dezyne.org'...
>> @ build-remote /gnu/store/3hc9fardc4pwmcjh6x5x6mi1yicvy861-glibc-utf8-locales-2.37.drv kluit.dezyne.org
>> retrieving 1 store item from 'kluit.dezyne.org'...
>> -importing file or directory '/gnu/store/30knn5niz8j43aqly8qy4k20755n92kv-glibc-utf8-locales-2.37'...
>> guix offload: error: corrupt input while restoring '/gnu/store/30knn5niz8j43aqly8qy4k20755n92kv-glibc-utf8-locales-2.
> [...]
>
>>   1. &store-protocol-error:
>>       message: "build of `/gnu/store/2d6gh47cnnsv8zf5dvznlsszai4ry5qc-guile-3.0.9.drv' failed"
>>       status: 1
>
> This looks like an offloading issue.

Yes, somehow I didn't have the correct chilhurd signging-key registered.

> (Note that I tested on ‘master’ though, so I’m not sure if there are
> relevant differences between the two branches; I guess I should know
> better…)
>
> Thanks for testing!

So, I created a new VM (needed to create yet another guix package update
commit on hurd-team to avoid the circular dependency thing), and (with
my curl fix from yesterday), now "guix shell -D guix" works again; and
without any glibc-2.35 afaics (there's only one x86_64-linux glibc-2.35
in the hurd's store, I guess that's to be expected).

I also tested on hurd-team using the `make as-derivation' trick with
#:system "i586-gnu" in compile-as-derivation.scm, which now fails with

--8<---------------cut here---------------start------------->8---
offloading '/gnu/store/qy6l0gjjpc40frz57fv08shpwj4pssfd-bash-minimal-5.1.16.drv' to 'kluit.dezyne.org'...
@ build-remote /gnu/store/qy6l0gjjpc40frz57fv08shpwj4pssfd-bash-minimal-5.1.16.drv kluit.dezyne.org
Backtrace:
In ice-9/boot-9.scm:
 160: 10 [catch #t #<catch-closure 1ba1510> ...]
In unknown file:
   ?: 9 [apply-smob/1 #<catch-closure 1ba1510>]
In ice-9/boot-9.scm:
  66: 8 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 7 [eval # #]
In ice-9/boot-9.scm:
2412: 6 [save-module-excursion #<procedure 1bb2c00 at ice-9/boot-9.scm:4084:3 ()>]
4089: 5 [#<procedure 1bb2c00 at ice-9/boot-9.scm:4084:3 ()>]
1734: 4 [%start-stack load-stack ...]
1739: 3 [#<procedure 1bbb930 ()>]
In unknown file:
   ?: 2 [primitive-load "/gnu/store/dljmqd3db20j9z9bbqlha71p3jzj7cvk-bash-minimal-5.1.16-builder"]
In ice-9/eval.scm:
 432: 1 [eval # ()]
In unknown file:
   ?: 0 [setlocale 6 "en_US.utf8"]

ERROR: In procedure setlocale:
ERROR: In procedure setlocale: Invalid argument
builder for `/gnu/store/qy6l0gjjpc40frz57fv08shpwj4pssfd-bash-minimal-5.1.16.drv' failed with exit code 1
derivation '/gnu/store/qy6l0gjjpc40frz57fv08shpwj4pssfd-bash-minimal-5.1.16.drv' offloaded to 'kluit.dezyne.org' failed: build of `/gnu/store/qy6l0gjjpc40frz57fv08shpwj4pssfd-bash-minimal-5.1.16.drv' failed
--8<---------------cut here---------------end--------------->8---

Not sure where that comes from or if that's a problem

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com